import Form from './index.vue';
import FormInput from './input.vue';
import FormRadio from './radio.vue';
import FormDatetime from './datetime.vue';

const componets = {
  Form,
  FormInput,
  FormRadio,
  FormDatetime,
};

export default {
  install(Vue) {
    Object.keys(componets).forEach(key => {
      const component = componets[key];
      Vue.component(component.name, component);
    });
  },
};
